aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Holly Cummins <holly.k.cumm...@googlemail.com>
Subject EJB org.apache.openwebbeans dependency version
Date Wed, 05 Sep 2012 20:53:08 GMT
I've just been investigating the recent failures in the snapshot
build. It turns out they're caused by the fact that the build was
moving the org.apache.openwebbeans dependency from version 1.1.1 to
1.1.5. The build isn't supposed to change the version of non-Aries
dependencies, so I've fixed the build, and it's now green again.
However, I'm a bit worried by the fact that the tests are so sensitive
to the web beans version. (Clearly a bit of a breakdown of
semantically versioning!)

Do people think I should raise a defect for this?

Holly

Mime
View raw message